<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title></title>

    <link rel="stylesheet" type="text/css" href="css/pico.min.css">
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <link rel="stylesheet" type="text/css" href="css/cmd.min.css">

    <script src="js/jquery.min.js"></script>
</head>
<body>

    <?= file_get_contents('src/splash.html') ?>
    <h1>Hello</h1>

    <div class="container">
    <div class="window">
        <span id="close-fs" role="button" class="hide" onclick="fullscreen()">X</span>
        <div class="window-toolbar">
            <div class="window-toolbar-left">
                <span id="konami-helper">&uarr;&uarr;&darr;&darr;&larr;&rarr;&larr;&rarr;BA</span>
            </div>
            <div class="window-toolbar-center">
                Loquicom terminal
            </div>
            <div class="window-toolbar-right">
                <span class="window-dot" onclick="show()" style="background:#5AC05A;"></span>
                  <span class="window-dot" onclick="fullscreen()" style="background:#FDD800;"></span>
                  <span class="window-dot" onclick="remove()" style="background:#ED594A;"></span>
            </div>
        </div>
        <div id="cmd">
        </div>
        <div id="pico" class="none">
            <iframe src="./src/pico8.html" title="Pico 8 game"></iframe>
        </div>
    </div>
    </div>
    
    

    <script src="js/cmd.js"></script>
    <script src="js/konami.js"></script>
    <script src="js/loaded.js"></script>
    <script type="text/javascript">
        

        //fullscreen();

        function fullscreen() {
            const pos = $('#' + windowMode).position();
            if (!$('#' + windowMode).hasClass('fullscreen')) {
                $('#' + windowMode).css('top', Math.trunc(pos.top) + 'px');
                $('#' + windowMode).css('left', Math.trunc(pos.left) + 'px');
                $('#' + windowMode).css('position', 'fixed');
            } else {
                $('#' + windowMode).one('transitionend', function() {
                    $('#' + windowMode).css('top', '');
                    $('#' + windowMode).css('left', '');
                    $('#' + windowMode).css('position', '');
                });
            }
            
            $('#' + windowMode).toggleClass('fullscreen');
            $('#close-fs').toggleClass('hide');
        }

        function show() {
            if ($('#' + windowMode).hasClass('pasla')) {
                $('#' + windowMode).css('height', '');
            } else {
                $('#' + windowMode).css('height', '0');
            }
            $('#' + windowMode).toggleClass('pasla');
        }

        function remove() {
            $('#' + windowMode).css('height', '0');
            setTimeout(() => {
                $('.window').remove();
            }, 148);
        }
    </script>
</body>
</html>